Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.ps
Class PSTextPainter

    java.lang.Object
      org.apache.batik.gvt.renderer.BasicTextPainter
          org.apache.batik.gvt.renderer.StrokingTextPainter
              org.apache.fop.svg.NativeTextPainter
                  org.apache.fop.render.ps.PSTextPainter

All Implemented Interfaces:
  org.apache.batik.gvt.TextPainter

    public class PSTextPainter

extends NativeTextPainter

Renders the attributed character iterator of a text node. This class draws the text directly using PostScript text operators so the text is not drawn using shapes which makes the PS files larger.

The text runs are split into smaller text runs that can be bundles in single calls of the xshow, yshow or xyshow operators. For outline text, the charpath operator is used.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.gvt.renderer.StrokingTextPainter
`org.apache.batik.gvt.renderer.StrokingTextPainter.TextRun`

Nested classes/interfaces inherited from class org.apache.batik.gvt.renderer.BasicTextPainter
`org.apache.batik.gvt.renderer.BasicTextPainter.BasicMark`

Field Summary

Fields inherited from class org.apache.fop.svg.NativeTextPainter
`fontInfo, log`

Fields inherited from class org.apache.batik.gvt.renderer.StrokingTextPainter
`ADJUST_ALL, ADJUST_SPACING, ALT_GLYPH_HANDLER, ANCHOR_TYPE, BIDI_LEVEL, FLOW_PARAGRAPH, FLOW_REGIONS, GVT_FONT, GVT_FONTS, PAINT_INFO, singleton, TEXT_COMPOUND_ID, TEXTPATH, WRITING_MODE, WRITING_MODE_RTL, WRITING_MODE_TTB, XPOS, YPOS`

Fields inherited from class org.apache.batik.gvt.renderer.BasicTextPainter
`aaOffFontRenderContext, fontRenderContext`

Constructor Summary
`PSTextPainter(FontInfo fontInfo)` Create a new PS text painter with the given font information.

Method Summary
`protected boolean` | `isSupported(java.awt.Graphics2D g2d)` Indicates whether the given `Graphics2D` instance if compatible with this text painter implementation.
`protected void` | `paintTextRun(org.apache.batik.gvt.renderer.StrokingTextPainter.TextRun textRun, java.awt.Graphics2D g2d)` Paints a single text run.

Methods inherited from class org.apache.fop.svg.NativeTextPainter
`collectCharacters, findFonts, logCharacter, logTextRun, paintTextRuns`

Methods inherited from class org.apache.batik.gvt.renderer.StrokingTextPainter
`adjustChunkOffsets, computeTextRuns, createModifiedACIForFontMatching, getBounds2D, getDecorationOutline, getDecorationStrokeOutline, getHighlightShape, getInstance, getMark, getOutline, getSelected, getTextChunk, getTextChunkACIs, getTextRuns, hitTest, paint, paintDecorations, printAttrs, selectFirst, selectLast`

Methods inherited from class org.apache.batik.gvt.renderer.BasicTextPainter
`getGeometryBounds, getTextLayoutFactory, selectAt, selectTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PSTextPainter

    public PSTextPainter(FontInfo fontInfo)

  Create a new PS text painter with the given font information.

  Parameters:
    `fontInfo` - the font collection

Method Detail

### isSupported

    protected boolean isSupported(java.awt.Graphics2D g2d)

  Indicates whether the given `Graphics2D` instance if compatible with this text painter implementation.

  Specified by:
    `isSupported` in class `NativeTextPainter`
  Parameters:
    `g2d` - the instance to check
  Returns:
    true if the instance is compatible.

### paintTextRun

    protected void paintTextRun(org.apache.batik.gvt.renderer.StrokingTextPainter.TextRun textRun,
                                java.awt.Graphics2D g2d)
                         throws java.io.IOException

  Paints a single text run.

  Specified by:
    `paintTextRun` in class `NativeTextPainter`
  Parameters:
    `textRun` - the text run
    `g2d` - the target Graphics2D instance
  Throws:
    `java.io.IOException` - if an I/O error occurs while rendering the text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.